package com.huimv.getdata.controller;

import com.huimv.getdata.entity.caigou.CaiGouRuKu;
import com.huimv.getdata.entity.fengkong.FengKongKuanDao;
import com.huimv.getdata.mapper.ErpCaiGouMapper;
import com.huimv.getdata.mapper.ErpFengKongMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/erp-fengKong")
public class ErpFengKongCongroller {
    @Autowired
    private ErpFengKongMapper erpFengKongMapper;

    @RequestMapping(value = "/getKuanDaoFaHuo",method = RequestMethod.GET)
    public List<FengKongKuanDao> getKuanDaoFaHuo(@RequestParam(value = "date" ,required = false) String date){
        return erpFengKongMapper.getKuanDaoFaHuo(date);
    }

    @RequestMapping(value = "/getCaiGouYvQi",method = RequestMethod.GET)
    public List<FengKongKuanDao> getCaiGouYvQi(@RequestParam(value = "date" ,required = false) String date){
        return erpFengKongMapper.getCaiGouYvQi(date);
    }
}
