package vip.xiaonuo.hr.modular.baseemployeeinfo.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DongShiCountNum {

    @ApiModelProperty(value = "在职总人数")
    private String jobNum;
    @ApiModelProperty(value = "在职总人数环比/同比", position = 2)
    private String jobNumOnYear;
    @ApiModelProperty(value = "在职总人数是否增加", position = 2)
    private Boolean jobNumIsOn;
    @ApiModelProperty(value = "在职总人数环比/同比(本年累计)", position = 2)
    private String yearJobNumOnYear;
    @ApiModelProperty(value = "在职总人数是否增加(本年累计)", position = 2)
    private Boolean yearJobNumIsOn;

    @ApiModelProperty(value = "薪酬支出")
    private String pay;
    @ApiModelProperty(value = "薪酬支出环比/同比", position = 2)
    private String payOnYear;
    @ApiModelProperty(value = "薪酬支出是否增加", position = 2)
    private Boolean payIsOn;
    @ApiModelProperty(value = "薪酬支出环比/同比(本年累计)", position = 2)
    private String yearPayOnYear;
    @ApiModelProperty(value = "薪酬支出是否增加(本年累计)", position = 2)
    private Boolean yearPayIsOn;

    @ApiModelProperty(value = "人均产值")
    private String outputValue;
    @ApiModelProperty(value = "人均产值环比/同比", position = 2)
    private String outputValueOnYear;
    @ApiModelProperty(value = "人均产值是否增加", position = 2)
    private Boolean outputValueIsOn;
    @ApiModelProperty(value = "人均产值环比/同比", position = 2)
    private String yearOutputValueOnYear;
    @ApiModelProperty(value = "人均产值是否增加", position = 2)
    private Boolean yearOutputValueIsOn;

    private String ymonth;
    @ApiModelProperty(value = "增长率")
    private String rateOnYear;
    private Boolean rateIsOn;


//    private String jobNumAvg;
//    private String payAvg;
//    private String outputValueAvg;
    private String jobNumAvgYear;
    private String payAvgYear;
    private String outputValueAvgYear;

}
