package vip.xiaonuo.money.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.entity.MoneyProducePrice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 财务产品成本收入 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface MoneyProducePriceMapper extends BaseMapper<MoneyProducePrice> {

    List<MoneyProducePrice> listProduceProfit(@Param(Constants.WRAPPER) QueryWrapper<MoneyProducePrice> queryWrapper);
}
