package vip.xiaonuo.risk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 风控销售回款
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
@Data
public class RiskSaleVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 1)
    private String createTime;


    /**
     * 销售金额
     */
    @ApiModelProperty(value = "销售金额", position = 2)
    private String saleMoney;

    /**
     * 回款金额
     */
    @ApiModelProperty(value = "回款金额", position = 3)
    private String backMoney;

    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID", position = 4)
    private String orgId;


}
