package vip.xiaonuo.sale.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.sale.entity.SaleDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.sale.entity.vo.SaleDeliverVo;
import vip.xiaonuo.sale.entity.vo.SaleWanChengLvVo;

import java.util.List;

/**
 * <p>
 * 销售信息明细表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface SaleDetailMapper extends BaseMapper<SaleDetail> {

    SaleDeliverVo selectSumMoney(@Param(Constants.WRAPPER) QueryWrapper<SaleDetail> contrQueryWrapper);

    SaleDeliverVo selectSumMoneyNo(@Param(Constants.WRAPPER)QueryWrapper<SaleDetail> contrQueryWrapper);

    List< SaleWanChengLvVo> selectSumMoneyMonth(@Param(Constants.WRAPPER)QueryWrapper<SaleDetail> queryWrapper);

    List<SaleWanChengLvVo> selectSumMoneyYear(@Param(Constants.WRAPPER)QueryWrapper<SaleDetail> queryWrapper);
}
