package vip.xiaonuo.timer;


import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpHeXinService;
import vip.xiaonuo.erp.service.IErpKuCunService;

import java.util.Date;

@Slf4j
@Component
public class ErpKuCunTimer implements CommonTimerTaskRunner {
    @Autowired
    private IErpKuCunService erpKuCun;

    @Override
    public void action() {
        DateTime dateTime = DateUtil.beginOfDay(new Date());

        erpKuCun.getFSAFESTOCK();
        erpKuCun.getYuanCaiLiaoCunLiang(dateTime);
        erpKuCun.getChengPinDangRi(dateTime);
        erpKuCun.getChengPinChuKu(dateTime);
        erpKuCun.getWuLiaoMingXi(dateTime);

    }
}
