package vip.xiaonuo.timer;


import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpCaiWuService;
import vip.xiaonuo.erp.service.IErpXiaoShouService;

import java.util.Date;

@Slf4j
@Component
public class ErpVoucherMonthTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpCaiWuService erpCaiWuService;
    @Autowired
    private IErpXiaoShouService erpXiaoShouService;

    @Override
    public void action() {

        Date beginOfMonth = DateUtil.beginOfMonth(new Date());
        String yyyyMM = DateUtil.format(beginOfMonth, "yyyyMM");

        erpCaiWuService.getChanPinShouRu(yyyyMM);
        //按月份
        erpXiaoShouService.getCaiWuYingShou(yyyyMM) ;


    }
}
