package vip.xiaonuo.timer;


import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpBdOrgService;
import vip.xiaonuo.erp.service.IErpCaiWuService;

import java.util.Date;

@Slf4j
@Component
public class ErpVoucherTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpCaiWuService erpCaiWuService;

    @Override
    public void action() {
        Date date = DateUtil.beginOfDay(new Date());
        //10-29
        erpCaiWuService.getShouRuJinE(date);
        //10-29
        erpCaiWuService.getDangQianYueYingYeE(date);
        //10-29
        erpCaiWuService.getDangQianYueJingLiRun(date);
        erpCaiWuService.getGuoNeiWaiSouRu(date);
        //资金余额
//        erpCaiWuService.getDangQianZiJinYvE(date);






    }
}
