package vip.xiaonuo.timer;


import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpXiaoShouService;

import java.util.Date;

@Slf4j
@Component
public class ErpXiaoShouTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpXiaoShouService erpXiaoShouService;

    @Override
    public void action() {
       Date date = DateUtil.beginOfDay(new Date());
       erpXiaoShouService.getWanChengLv(date) ;

       erpXiaoShouService.getDingDan(date) ;
       erpXiaoShouService.getXiaoShouFeiYong2(date) ;
       erpXiaoShouService.getXiaoShouFeiYong21(date) ;
       erpXiaoShouService.getXiaoShouFeiYong22(date) ;
       erpXiaoShouService.getXiaoShouFeiYong23(date) ;
       erpXiaoShouService.getXiaoShouFeiYong24(date) ;
       erpXiaoShouService.getXiaoShouFaHuoJinEKeHuGongXian(date) ;
       erpXiaoShouService.getXiaoShouFaPiaoJinE(date) ;
//       erpXiaoShouService.getYvQiHeTongMingXi(date) ;
    }
}
