package vip.xiaonuo.warehouse.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WarehouseWarningPageParam {

    @ApiModelProperty(value = "组织id",position = 1)
    private String orgId;

    @ApiModelProperty(value = "当前页码",position = 2)
    private Integer pageNum;

    @ApiModelProperty(value = "页码大小",position = 3)
    private Integer pageSize;

    @ApiModelProperty(value = "物料名称",position = 4)
    private String warehouseName;

    @ApiModelProperty(value = "开始时间",position = 4)
    private String startDate;
    @ApiModelProperty(value = "结束时间",position = 4)
    private String endDate;

}
