package vip.xiaonuo.write.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 成品检验台账填报
 * </p>
 *
 * @author author
 * @since 2025-03-02
 */
@Data
public class WriteProductVo implements Serializable {

    private String productionName;


    /**
     * 取样日期
     */
    @ApiModelProperty(value = "取样日期", position =9)
    private String sampleDate;
    //合格率
    private String qualifiedRate;



}
