/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.junit.Test;
import org.junit.platform.commons.util.StringUtils;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.web.client.RestTemplate;
import vip.xiaonuo.erp.entity.ErpBdOrg;
import vip.xiaonuo.erp.entity.voucher.ChanPinShouRu;
import vip.xiaonuo.erp.entity.voucher.ErpVoucher;
import vip.xiaonuo.erp.entity.voucher.LinJinHuanKuanQi;
import vip.xiaonuo.erp.entity.xiaoshou.*;
import vip.xiaonuo.erp.mapper.ErpBdOrgMapper;
import vip.xiaonuo.erp.service.IErpCaiWuService;
import vip.xiaonuo.money.entity.*;
import vip.xiaonuo.money.mapper.*;
import vip.xiaonuo.sale.entity.*;
import vip.xiaonuo.sale.mapper.*;

import java.util.Date;
import java.util.List;

/**
 * 主测试类
 *
 * @author xuyuxiang
 * @date 2022/9/17 17:09
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
public class CaiWuTest {


    @Autowired
    private IErpCaiWuService erpCaiWuService;

    @Test
    public void  test1(){
        //"10-29"
        DateTime parse = DateUtil.parse("2024-10-30", "yyyy-MM-dd");
        erpCaiWuService.getShouRuJinE(parse);

    }

    @Test
    public void  test3(){
        DateTime parse = DateUtil.parse("2024-10-30", "yyyy-MM-dd");
        erpCaiWuService.getDangQianYueYingYeE(parse);
    }
    @Test
    public void  test4(){
        DateTime parse = DateUtil.parse("2024-10-30", "yyyy-MM-dd");
        erpCaiWuService.getDangQianYueJingLiRun(parse);
    }
    @Test
    public void  test5(){
     //   erpCaiWuService.getDangQianZiJinYvE();
    }



    @Test
    public void  test6(){
        //202409
        erpCaiWuService.getChanPinShouRu("202505");
    }

    @Test
    public void  test7(){
        DateTime parse = DateUtil.parse("2024-10-30", "yyyy-MM-dd");
        //10-29
        erpCaiWuService.getGuoNeiWaiSouRu(parse);
    }
}
