package vip.xiaonuo.importData.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class OverdueData {


    /**
     * 单据编号
     */
    @ApiModelProperty(value = "合同号", position = 1)
    private String documentNumber;

    /**
     * 单据类型
     */
    @ApiModelProperty(value = "单据类型", position = 2)
    private String documentType;

    /**
     * 单据状态
     */
    @ApiModelProperty(value = "单据状态", position = 3)
    private String documentStatus;

    /**
     * 客户
     */
    @ApiModelProperty(value = "客户", position = 4)
    private String userName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 5)
    private Date createTime;

    /**
     * 到期日
     */
    @ApiModelProperty(value = "到期日期", position = 6)
    private Date endTime;

    /**
     * 逾期金额
     */
    @ApiModelProperty(value = "逾期金额", position = 7)
    private String money;

    @ApiModelProperty(value = "币种", position = 8)
    private String bz;
    @ApiModelProperty(value = "原币金额", position = 8)
    private String ybje;
    @ApiModelProperty(value = "折人民币金额", position = 8)
    private String rmbje;
    @ApiModelProperty(value = "销售日期", position = 8)
    private Date xsrq;
    @ApiModelProperty(value = "收款期限", position = 8)
    private String skqx;

    @ApiModelProperty(value = "逾期天数", position = 8)
    private String yqts;

    @ApiModelProperty(value = "截止日期", position = 8)
    private Date deadline;



}
