package vip.xiaonuo.importData.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class RemoveData {

    @ApiModelProperty(value = "物料名称", position = 7)
    private String materialName;

    /**
     * 0,nf级胆固醇 1,饲料级胆固醇  2,羊毛醇  3,羊毛酸  4,羊毛酸异丙酯  5,其它
     */
    private Integer materialType;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 1)
    private Date createTime;

    /**
     * 金额
     */
    @ApiModelProperty(value = "金额", position = 2)
    private String materialAmount;

    /**
     * 数量
     */
    private String materialQty;

    /**
     * 物料编码
     */
    private Integer materialId;

    @ApiModelProperty(value = "id",position = 3)
    private String orgId;

    /**
     * 收货方
     */
    private String freceiverid;

    @ApiModelProperty(value = "填报的金额", position = 5)
    private String writeMoney;

    @ApiModelProperty(value = "0为真实数据 1为填报数据", position = 6)
    private Integer isWrite;

    @ApiModelProperty(value = "公司名称", position = 8)
    private String orgName;

    @ApiModelProperty(value = "交易关联方", position = 8)
    private String customerName;
    private String num;
}
