package vip.xiaonuo.risk.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.risk.entity.RiskContract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.risk.entity.RiskSaleVo;

import java.util.List;

/**
 * <p>
 * 风控款到发货逾期 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
public interface RiskContractMapper extends BaseMapper<RiskContract> {

    List<RiskSaleVo> getListMonth(@Param(Constants.WRAPPER)QueryWrapper<RiskContract> queryWrapper);

    List<RiskSaleVo> getListMonthYear(@Param(Constants.WRAPPER)QueryWrapper<RiskContract> queryWrapper);
}
