package vip.xiaonuo.risk.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.purchase.entity.PurchaseOrder;
import vip.xiaonuo.risk.entity.RiskContractWarning;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.risk.entity.RiskSupplier;
import vip.xiaonuo.risk.entity.RiskSupplierVo;
import vip.xiaonuo.risk.entity.RiskSupplierVo1;

import java.util.List;

/**
 * <p>
 * 风控管控合同逾期预警 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
public interface RiskContractWarningMapper extends BaseMapper<RiskContractWarning> {

    List<RiskSupplierVo> riskSupplierParamMonth(@Param(Constants.WRAPPER)QueryWrapper<RiskContractWarning> queryWrapper);

    List<RiskSupplierVo> riskSupplierParamYear(@Param(Constants.WRAPPER) QueryWrapper<RiskContractWarning> queryWrapper);

}
