package vip.xiaonuo.sale.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.sale.entity.SaleOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.sale.entity.vo.SaleDeliverVo;

/**
 * <p>
 * 销售订单 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface SaleOrderMapper extends BaseMapper<SaleOrder> {

    SaleDeliverVo selectSumMoney(@Param(Constants.WRAPPER) QueryWrapper<SaleOrder> orderQueryWrapper);
}
