package vip.xiaonuo.timer;

import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpCaiGouService;

import java.util.Date;


@Slf4j
@Component
public class ErpCaiGouTimer implements CommonTimerTaskRunner {
    @Autowired
    private IErpCaiGouService erpCaiGouService;

    @Override
    public void action() {
        Date date = DateUtil.beginOfDay(new Date());
        erpCaiGouService.getCaiGouDingDanShuLiangJinE(date);
        erpCaiGouService.getCaiGouRuku(date);
        erpCaiGouService.getCaiGouFaPiao(date);
        erpCaiGouService.getShouLiaoJinE(date);
        erpCaiGouService.getJiaoHuoShuLiang(date);
//        erpCaiGouService.getCaiGouShuLiang(date);
        erpCaiGouService.getYingFuZhangKuang(date);
        erpCaiGouService.getCaiGouHeTongShuLiangJinE(date);
//        erpCaiGouService.getLeiJiRuKu(date);


    }

}
