package vip.xiaonuo.timer;


import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpCaiWuService;
import vip.xiaonuo.erp.service.IErpFengKongService;

import java.util.Date;

@Slf4j
@Component
public class ErpFengKongTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpFengKongService erpFengKongService;

    @Override
    public void action() {
        Date date = DateUtil.beginOfDay(new Date());
        erpFengKongService.getCaiGouYvQi(date);
        erpFengKongService.getKuanDaoFaHuo(date);

    }
}
