package vip.xiaonuo.timer;


import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpKuCunService;
import vip.xiaonuo.erp.service.IErpShengChanService;

import java.util.Date;

@Slf4j
@Component
public class ErpShengChanTimer implements CommonTimerTaskRunner {


    @Autowired
    private IErpShengChanService erpShengChanService;

    @Override
    public void action() {
        Date date = DateUtil.beginOfDay(new Date());
        erpShengChanService.getShiJiChanLiang(date);
    }
}
