package vip.xiaonuo.timer;


import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpXiaoShouService;
import vip.xiaonuo.erp.service.IErpZhiLiangService;

import java.util.Date;

@Slf4j
@Component
public class ErpZhiLiangTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpZhiLiangService erpZhiLiangService;

    //晚上59 分时启动
    @Override
    public void action() {
        Date date = DateUtil.beginOfDay(new Date());
        erpZhiLiangService.getQuailIbit(date);
//        erpZhiLiangService.getCheJian();
//        erpZhiLiangService.getMaterialGruop();
        //获取质量检验项目
     //   erpZhiLiangService.getMaterialGruop();
//        erpZhiLiangService.getReagent();
//        erpZhiLiangService.getMaterial();
//        erpZhiLiangService.getMaterialRaw();

    }
}
